unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  MMJHint, StdCtrls, ExtCtrls, ExtDlgs;

type
  TForm1 = class(TForm)
    Button5: TButton;
    FontDialog1: TFontDialog;
    ColorDialog1: TColorDialog;
    Button6: TButton;
    rgShapeKind: TRadioGroup;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    rgBackgroundKind: TRadioGroup;
    rgFillType: TRadioGroup;
    btnPicture: TButton;
    Image1: TImage;
    OpenPictureDialog1: TOpenPictureDialog;
    btnHasFrame: TButton;
    MMJH: TMMJHint;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure rgShapeKindClick(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure rgFillTypeClick(Sender: TObject);
    procedure rgBackgroundKindClick(Sender: TObject);
    procedure btnPictureClick(Sender: TObject);
    procedure btnHasFrameClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
   mmjH:=TMMJHint.Create(Self);
  // mmjH.Parent:=Form1;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
   if Assigned(mmjH)then
      mmjH.Free;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
   if Not Assigned(mmjH) then Exit;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
   if Not Assigned(mmjH) then Exit;
  // mmjH.Enabled:=False;
end;

procedure TForm1.Button5Click(Sender: TObject);
var
   fnt:TFont;
begin
   fnt:=TFont.Create;
   FontDialog1.Execute;
   fnt:=(FontDialog1.Font);
   if Not Assigned(mmjH) then Exit;
   mmjH.Font:=fnt;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
   Button5.ShowHint:=True;
   Button6.ShowHint:=True;
   rgShapeKind.ShowHint:=True;
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
   if Not Assigned(mmjH) then Exit;
   if ColorDialog1.Execute then
      mmjH.TextColor := ColorDialog1.Color;

end;

procedure TForm1.FormDestroy(Sender: TObject);
var
 i:integer;
begin
   i:=0;
end;

procedure TForm1.rgShapeKindClick(Sender: TObject);
begin
   if Not Assigned(mmjH) then Exit;
   mmjH.ShapeKind:=TShapeKind(rgShapeKind.ItemIndex);
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
   if Not Assigned(mmjH) then Exit;
   if ColorDialog1.Execute then
      mmjH.StartColor := ColorDialog1.Color;
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
   if Not Assigned(mmjH) then Exit;
   if ColorDialog1.Execute then
      mmjH.EndColor := ColorDialog1.Color;
end;

procedure TForm1.Button9Click(Sender: TObject);
begin
   if Not Assigned(mmjH) then Exit;
   if ColorDialog1.Execute then
      mmjH.FrameColor := ColorDialog1.Color;
end;

procedure TForm1.rgFillTypeClick(Sender: TObject);
begin
   if Not Assigned(mmjH) then Exit;
   mmjH.FillMode:=TFillType(rgFillType.ItemIndex);
end;

procedure TForm1.rgBackgroundKindClick(Sender: TObject);
begin
   if Not Assigned(mmjH) then Exit;
   mmjH.BackgroundKind:=TBackgroundKind(rgBackgroundKind.ItemIndex);
end;

procedure TForm1.btnPictureClick(Sender: TObject);
var
   bmp:TBitmap;
begin
  if not Assigned(mmjH) then Exit;
  if OpenPictureDialog1.Execute then begin
     bmp:=TBitmap.Create;
     bmp.LoadFromFile(OpenPictureDialog1.FileName);
     mmjH.Picture.Assign(bmp);
     bmp.Free;
  end;
end;

procedure TForm1.btnHasFrameClick(Sender: TObject);
begin
   if Not Assigned(mmjH) then Exit;
   mmjH.HasFrame:=not mmjH.HasFrame;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
   mmjH.Enabled:=True;
end;

end.
